# TPK4186 - Advanced Tools for Performance Engineering
# Grid.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# It is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.

# Required modules
import random

# Position
x = 0
y = 0

# Directives
def GoNorth():
  global y
  y -= 1

def GoSouth():
  global y
  y += 1

def GoEast():
  global x
  x += 1

def GoWest():
  global x
  x -= 1

def MakeRandomMove():
  move = random.randint(1, 4)
  if move==1:
    GoNorth()
  elif move==2:
    GoSouth()
  elif move==3:
    GoEast()
  else:
    GoWest()

def PrintPosition():
  global x
  global y
  print("Position: {}, {}".format(x, y))

def Reset():
  global x
  global y
  x = 0
  y = 0
