# TPK4186 - Advanced Tools for Performance Engineering
# MatrixEquation1.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# It is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.

# Required modules
import numpy as np

# Definition of matrices A, B and C
A = np.array([
  [1, 0, -1, 2],
  [0, 3, 1, -1],
  [2, 4, 0, 3],
  [-3, 1, -1, 2]])
B = np.array([
 [1, 2],
 [3, -1],
 [0, -2],
 [4, 1]])
C = np.array([
  [3, -2, 0, 5],
  [1, 0, -3, 4]])

print("A =")
print(A)
print("")
print("B =")
print(B)
print("")
print("C =")
print(C)
print("")

# Calculation of matrix M

D = A @ A @ A
print(D)
E = D * 3
F = B @ C
G = F @ F
H = G * -5
X = E + H

print("X =")
print(X)
print("")

