# TPK4186 - Advanced Tools for Performance Engineering
# MatrixEquation2.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# It is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.

# Required modules
import sys
import math
from Matrices import *

# Definition of matrix A
A = [
  [3, -1],
  [0, 2]]

print("A =")
MatrixPrint(A)
print("")

# Calculation of matrix X
AT = MatrixTranspose(A)
P = MatrixProduct(AT, A)
B = MatrixMultiplyByScalar(A, -2)
X = MatrixSum(P, B)

print("X =")
MatrixPrint(X)
print("")

