# TPK4186 - Advanced Tools for Performance Engineering
# MatrixInverse.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# It is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.

# Required modules
import sys
import math
from Matrices import *

A = [
  [3, 2, 1, 2],
  [7, 5, 2, 5],
  [0, 0, 9, 4],
  [0, 0, 11, 5]]

print("A =")
MatrixPrint(A)
print("")

R = MatrixInverse(A)
print("R =")
MatrixPrint(R)
print("")


